Name:           bootchart 
Version:        0.14.0
Release:        %mkrel 1.3.git20110630.4
Summary:        Boot Process Performance Visualization
License:        GPLv2+ and GPLv3+
URL:            https://github.com/mmeeks/bootchart
Source0:        https://github.com/downloads/mmeeks/bootchart/bootchart2-%{version}.tar.bz2
Patch0001:      0001-bootchartd-Expect-dmesg-log-only-if-bootchartd-run-a.patch
Patch0002:      0002-Update-NEWS.patch
Patch0003:      0003-Fix-tests-import-path-so-we-can-call-them-from-sourc.patch
Patch0004:      0004-tests-update-parsing-tests-for-ParserState-Trace-cha.patch
Patch0005:      0005-tests-Fix-errors-and-failures-of-testParseProcPsLog.patch
Patch0006:      0006-tests-remove-unuseful-testParseLogDir.patch
Patch0007:      0007-tests-update-for-Trace-and-ProcessTree-api-changes.patch
Patch0008:      0008-Add-Makefile-target-for-executing-pybootchartgui-tes.patch
Patch0009:      0009-Fix-self-reference-in-bootchartd-SEE-ALSO-section-ma.patch
Patch0010:      0010-pybootchartgui-support-hp-smart-arrays-block-device.patch
Patch0011:      0011-pybootchartgui-fix-hp-smart-array-regexp.patch
Patch0012:      0012-bootchartd-Look-for-bootchart_init-in-the-environmen.patch
Patch0013:      0013-pybootchartgui-main.py-fix-output-filename.patch
Patch0014:      0014-pybootchartgui-main.py.in-set-default-format-to-png.patch
Patch0015:      0015-parsing.py-_parse_proc_stat_log-skip-empty-lines.patch
Patch0016:      0016-collector-move-to-run-bootchart-instead-of-dev-.boot.patch

Group:          Monitoring
BuildRequires:  python
BuildRequires:  systemd-units
Requires:       bootchart-daemon
Requires:       pygtk2

%description
A tool for performance analysis and visualization of the GNU/Linux boot
process. Resource utilization and process information are collected during
the boot process and are later rendered in a PNG, SVG or EPS encoded chart.

%package daemon
Summary:        Bootchart logger script
Group:          Monitoring
Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description daemon
A tool for performance analysis and visualization of the GNU/Linux boot
process. This package includes the standalone logger daemon and configuration
file.

%prep
%setup -q -n bootchart2-%{version}
%apply_patches

%build
%make

# bootchart adds 'site-packages' itself, so we just want eg /usr/lib/python2.7 here
%define python_libdir `echo "%{python_sitelib}" | sed 's/\\/site-packages//'`

%install
%makeinstall_std \
  PY_LIBDIR=%{python_libdir}\
  NO_PYTHON_COMPILE=1 \
  SYSTEMD_UNIT_DIR=%{_unitdir}

ln -s pybootchartgui %{buildroot}%{_bindir}/bootchart

mkdir -p %{buildroot}%{_sysconfdir}/dracut.conf.d
echo 'add_dracutmodules+=" bootchart "' > %{buildroot}%{_sysconfdir}/dracut.conf.d/bootchartd.conf

rm -f  %{buildroot}%{_datadir}/docs/%{name}/README %{buildroot}%{_datadir}/docs/%{name}/README.pybootchart


%clean
rm -rf %{buildroot}

%post daemon
%_post_service %{name}

%preun daemon
%_preun_service %{name}

%postun daemon
%_postun_service %{name}

%files
%doc AUTHORS COPYING NEWS README* TODO
%attr(0755,root,root) %{_bindir}/pybootchartgui
%{_bindir}/bootchart
%{python_sitelib}/*
%{_mandir}/man1/bootchart2.1*
%{_mandir}/man1/pybootchartgui.1*

%files daemon
%doc AUTHORS COPYING NEWS README* TODO
%attr(0755,root,root) /sbin/bootchartd
%dir %attr(0755,root,root) /lib/bootchart
/lib/bootchart/*
%{_unitdir}/*
%config(noreplace) %{_sysconfdir}/bootchartd.conf
%config(noreplace) %{_sysconfdir}/dracut.conf.d/bootchartd.conf
%{_mandir}/man1/bootchartd.1*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.14.0-1.3.git20110630.4.mga3
+ Revision: 346944
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 28 2012 tmb <tmb> 0.14.0-1.3.git20110630.3.mga2
+ Revision: 233613
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 0.14.0-1.3.git20110630.2.mga2
+ Revision: 233516
- rebuild for versioned rpm-helper requires

* Tue Nov 08 2011 colin <colin> 0.14.0-1.3.git20110630.1.mga2
+ Revision: 165689
- imported package bootchart

